View Issue Details

IDProjectCategoryView StatusLast Update
0014478LazarusIDEpublic2011-12-01 11:22
ReporterBee JayAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014478: remove annoying warning message dialog
DescriptionContinuing issue 14459, it's now known that the IDE had already been able to work with path containing spaces. However, the warning message dialogs are still there, repeatly warn users about it. I think we could safely remove those annoying message dialogs. Thanks.
TagsNo tags attached.
Fixed in Revision21658
LazTarget1.0
WidgetsetCarbon
Attached Files
  • compileropts.diff (731 bytes)
    Index: ide/checkcompileropts.pas
    ===================================================================
    --- ide/checkcompileropts.pas	(revision 21657)
    +++ ide/checkcompileropts.pas	(working copy)
    @@ -144,7 +144,8 @@
         case Path[i] of
         #10,#13: Include(HasChars,ccoscNewLine);
         #0..#8,#11,#12,#14..#31: Include(HasChars,ccoscSpecialChars);
    -    #9,' ': Include(HasChars,ccoscSpaces);
    +    // Lazarus handles paths with spacechars correctly
    +    #9{,' '}: Include(HasChars,ccoscSpaces);
         '/','\': if Path[i]<>PathDelim then Include(HasChars,ccoscWrongPathDelim);
         '@','#','$','&','*','(',')','[',']','+','~','<','>','?','|': Include(HasChars,ccoscUnusualChars);
         #128..#255: Include(HasChars,ccoscNonASCII);
    
    compileropts.diff (731 bytes)

Activities

Dmitry Boyarintsev

2009-09-12 09:41

developer   ~0030648

Can this patch be applied?

Index: ide/checkcompileropts.pas
===================================================================
--- ide/checkcompileropts.pas (revision 21657)
+++ ide/checkcompileropts.pas (working copy)
@@ -144,7 +144,8 @@
     case Path[i] of
     0000010,0000013: Include(HasChars,ccoscNewLine);
     #0..0000008,0000011,0000012,0000014..0000031: Include(HasChars,ccoscSpecialChars);
- 0000009,' ': Include(HasChars,ccoscSpaces);
+ // Lazarus handles paths with spacechars correctly
+ 0000009{,' '}: Include(HasChars,ccoscSpaces);
     '/','\': if Path[i]<>PathDelim then Include(HasChars,ccoscWrongPathDelim);
     '@','#','$','&','*','(',')','[',']','+','~','<','>','?','|': Include(HasChars,ccoscUnusualChars);
     0000128..0000255: Include(HasChars,ccoscNonASCII);

2009-09-12 09:42

 

compileropts.diff (731 bytes)
Index: ide/checkcompileropts.pas
===================================================================
--- ide/checkcompileropts.pas	(revision 21657)
+++ ide/checkcompileropts.pas	(working copy)
@@ -144,7 +144,8 @@
     case Path[i] of
     #10,#13: Include(HasChars,ccoscNewLine);
     #0..#8,#11,#12,#14..#31: Include(HasChars,ccoscSpecialChars);
-    #9,' ': Include(HasChars,ccoscSpaces);
+    // Lazarus handles paths with spacechars correctly
+    #9{,' '}: Include(HasChars,ccoscSpaces);
     '/','\': if Path[i]<>PathDelim then Include(HasChars,ccoscWrongPathDelim);
     '@','#','$','&','*','(',')','[',']','+','~','<','>','?','|': Include(HasChars,ccoscUnusualChars);
     #128..#255: Include(HasChars,ccoscNonASCII);
compileropts.diff (731 bytes)

Paul Ishenin

2009-09-12 09:58

manager   ~0030649

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-09-02 03:20 Bee Jay New Issue
2009-09-02 03:20 Bee Jay Widgetset => Carbon
2009-09-02 12:52 Vincent Snijders LazTarget => 1.0
2009-09-02 12:52 Vincent Snijders Status new => acknowledged
2009-09-02 12:52 Vincent Snijders Target Version => 1.0.0
2009-09-12 09:41 Dmitry Boyarintsev Note Added: 0030648
2009-09-12 09:42 Dmitry Boyarintsev File Added: compileropts.diff
2009-09-12 09:58 Paul Ishenin Fixed in Revision => 21658
2009-09-12 09:58 Paul Ishenin Status acknowledged => resolved
2009-09-12 09:58 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-12 09:58 Paul Ishenin Resolution open => fixed
2009-09-12 09:58 Paul Ishenin Assigned To => Paul Ishenin
2009-09-12 09:58 Paul Ishenin Note Added: 0030649
2011-12-01 11:22 Marc Weustink Status resolved => closed